.hero-content {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  gap: 20px;
  padding: 0 20px;
  height: 100%;
  color: #141414;
}

.hero-content h1 {
  font-size: 38px;
  font-weight: 700;
  color: #141414;
}

.hero-content h2 {
  font-weight: 500;
  font-size: 18px;
  color: #141414;
}

.hero-content button {
  padding: 12px 24px;
  font-size: 16px;
  font-weight: 600;
  background-color: #251b1b;
  color: #fff;
  border: none;
  cursor: pointer;
}

.hero-content button:hover {
  background-color: #3e2c2c;
}

.main-content {
  background-color: #fff;
}

.what-we-sell {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 50px;
  width: 100%;
  margin: 30px 0;
}

.what-we-sell h2 {
  font-size: 25px;
  font-weight: 600;
  color: #251b1b;
  text-align: center;
}

.product-categories {
  width: 100%;
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  justify-content: space-around;
  padding: 0 10px;
}

.product-categories article {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  width: 150px;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.product-categories img {
  width: 50px;
}
.product-categories h3 {
  font-size: 16px;
  font-weight: 600;
  color: #251b1b;
  text-align: center;
}

.about-us {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  width: 100%;
  margin: 50px 0;
  background-color: #b78e60;
}

.about-us-text {
  width: 100%;
  padding: 20px 20px;
}

.about-us img {
  width: 100%;
  max-height: 400px;
  object-fit: cover;
}

.about-us h2 {
  font-size: 25px;
  font-weight: 600;
  color: #141414;
  padding-bottom: 20px;
}

.about-us p {
  font-size: 18px;
  line-height: 1.5em;
  font-weight: 500;
  color: #251b1b;
}

.about-us p:nth-child(3) {
  padding: 10px 0;
}

.product-gallery {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 30px;
  width: 100%;
  margin: 20px 0;
}

.product-gallery h2 {
  font-size: 25px;
  font-weight: 600;
  color: #251b1b;
  text-align: center;
}

.product-gallery-grid {
  padding: 0 20px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 10px;
}

.product-gallery-grid img {
  width: 100%;
  height: 300px;
  object-fit: cover;
}

@media (min-width: 640px) {
  .product-categories {
    width: 100%;
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: center;
  }
}

@media (min-width: 769px) {
  .hero-content h1 {
    font-size: 48px;
  }
  .hero-content h2 {
    font-size: 24px;
  }

  .what-we-sell h2 {
    font-size: 30px;
  }

  .product-categories h3 {
    font-size: 18px;
  }

  .about-us {
    display: flex;
    flex-direction: row;
    align-items: start;
  }

  .about-us h2 {
    font-size: 30px;
  }

  .about-us p {
    font-size: 20px;
  }
  .about-us-text {
    width: 50%;
    padding: 30px 0 0 30px;
  }

  .about-us img {
    width: 50%;
  }
  .product-gallery-grid {
    padding: 0 20px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
  }
}

@media (min-width: 1025px) {
  .product-gallery-grid {
    padding: 0 20px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
  }
}
